# Gimp.Gradient.prototype.segment_range_split_uniform

    function segment_range_split_uniform(start_segment: Number(gint), end_segment: Number(gint), split_parts: Number(gint)): Boolean {
        // Gjs wrapper for gimp_gradient_segment_range_split_uniform()
    }

Splits each segment in the segment range uniformly

Splits each segment in the segment range uniformly into to the number of parts given. Returns an error when a segment index is out of range, or gradient is not editable.

Since 2.2

start_segment

  Index of the first segment to operate on.

end_segment

  Index of the last segment to operate on. If negative, the range will extend to the end segment.

split_parts

  The number of uniform divisions to split each segment to.

Returns

  TRUE on success.